import java.awt.*;
import MSBChart.*;
import java.awt.event.*;


public class CharApp extends Frame implements java.awt.event.ActionListener
{
	static CharApp app= new CharApp();


	Panel ToolBar= new Panel(null);
	Panel ChartArea= new Panel();


	public static void main(String[] args) {
          app.setTitle("RChart demo");
	  app.run();
	}


	public void run() {

	  initFrame();

          Example1();

	  app.show();


	}

	public void Example3() {

	  // data
	  double[] d1={64,95,11,70};
          // style of the pie
	  FillStyle[] s1={new FillStyle(java.awt.Color.cyan),new FillStyle(java.awt.Color.blue),new FillStyle(java.awt.Color.green),new FillStyle(java.awt.Color.yellow)};
	  PieDataSerie data1= new PieDataSerie(d1,s1);
          data1.valueFont=new java.awt.Font("Arial",Font.PLAIN,14);

          // legend
	  Legend l=new Legend();
	  l.background=new FillStyle(java.awt.Color.lightGray);
	  l.border=new LineStyle(0.2f,java.awt.Color.black,LineStyle.LINE_NORMAL);
	  l.addItem("Software",new FillStyle(java.awt.Color.blue));
	  l.addItem("Hardware",new FillStyle(java.awt.Color.green));
          l.addItem("Services",new FillStyle(java.awt.Color.yellow));
	  l.addItem("Other",new FillStyle(java.awt.Color.cyan));

	  // create title
	  MSBChart.Title title=new Title("Sales 1999");

	  // plotter
	  MSBChart.PiePlotter plot=new PiePlotter();

          // create chart
	  MSBChart.Chart chart=new Chart(title,plot,null,null);
          // chart background
          chart.back=new FillStyle(java.awt.Color.darkGray);
          chart.back.colorUntil=java.awt.Color.gray;
          chart.back.colorFrom=java.awt.Color.white;
          chart.back.gradientType=FillStyle.GRADIENT_VERTICAL;
          chart.back.gradientCyclic=true;
          // add legend
	  chart.legend=l;
          // add data
	  chart.addSerie(data1);

	  ChartArea.add("Center",chart);

	}

	public void Example4() {

	  // data
	  double[] d1={64,95,11,70};
          // style of the pie
	  FillStyle[] s1={new FillStyle(java.awt.Color.cyan),new FillStyle(java.awt.Color.blue),new FillStyle(java.awt.Color.green),new FillStyle(java.awt.Color.yellow)};
	  PieDataSerie data1= new PieDataSerie(d1,s1);

          // legend
	  Legend l=new Legend();
	  l.background=new FillStyle(java.awt.Color.lightGray);
	  l.border=new LineStyle(0.2f,java.awt.Color.black,LineStyle.LINE_NORMAL);
	  l.addItem("Software",new FillStyle(java.awt.Color.blue));
	  l.addItem("Hardware",new FillStyle(java.awt.Color.green));
          l.addItem("Services",new FillStyle(java.awt.Color.yellow));
	  l.addItem("Other",new FillStyle(java.awt.Color.cyan));

	  // create title
	  MSBChart.Title title=new Title("Sales 1999");

	  // plotter
	  MSBChart.PiePlotter plot=new PiePlotter();
          // 3D effect
          plot.effect3D=true;
          data1.textDistanceToCenter=0.3;

          // create chart
	  MSBChart.Chart chart=new Chart(title,plot,null,null);
          // chart background
          chart.back=new FillStyle(java.awt.Color.darkGray);
          chart.back.colorUntil=java.awt.Color.lightGray;
          chart.back.colorFrom=java.awt.Color.white;
          chart.back.gradientType=FillStyle.GRADIENT_VERTICAL;
          chart.back.gradientCyclic=true;
          // add legend
	  chart.legend=l;
          // legend position and layout
          chart.layout=Chart.LAYOUT_LEGEND_BOTTOM;
          chart.bottomMargin=0;
          chart.topMargin=0.2; // 20%
          l.verticalLayout=false;
          // add data
	  chart.addSerie(data1);

	  ChartArea.add("Center",chart);

	}

	public void Example2() {

	  // data
	  double[] d1={1,2,3,4,5,4,2};
	  BarDataSerie data1= new BarDataSerie(d1,new FillStyle(java.awt.Color.cyan));
	  data1.border=new LineStyle(0.2f,java.awt.Color.black,LineStyle.LINE_NORMAL);
          //data1.borderType=BarDataSerie.BORDER_RAISED;
          data1.border=new LineStyle(0.2f,java.awt.Color.black,LineStyle.LINE_NORMAL);
	  data1.valueFont=new Font("Arial",Font.BOLD,10);

	  double[] d2={-2,3,4,4.2,6.4,4.5,6.1};
	  BarDataSerie data2= new BarDataSerie(d2,new FillStyle(java.awt.Color.green));
	  data2.valueFont=new Font("Arial",Font.BOLD,10);
	  data2.border=new LineStyle(0.2f,java.awt.Color.black,LineStyle.LINE_NORMAL);
          data2.negativeStyle=new FillStyle(java.awt.Color.red);
          //data2.borderType=BarDataSerie.BORDER_RAISED;

	  Legend l=new Legend();
	  l.border=new LineStyle(0.2f,java.awt.Color.black,LineStyle.LINE_NORMAL);
	  l.addItem("Company A",new FillStyle(java.awt.Color.cyan));
	  l.addItem("Company B",new FillStyle(java.awt.Color.green));

	  // create title
	  MSBChart.Title title=new Title("Benefits companies A & B");
	  // create axis
	  MSBChart.Axis  XAxis=new Axis(Axis.HORIZONTAL,new Scale());
	  MSBChart.Axis  YAxis=new Axis(Axis.VERTICAL,new Scale());
	  XAxis.scale.min=-3;
	  XAxis.scale.max=7;
	  YAxis.scale.min=0;
	  YAxis.scale.max=7;
	  YAxis.IntegerScale=true;
	  YAxis.scaleTickInterval=1;
	  XAxis.scaleTickInterval=1;
	  XAxis.gridStyle=new LineStyle(0.2f,java.awt.Color.white,LineStyle.LINE_DOTS);
          YAxis.gridStyle=new LineStyle(0.2f,java.awt.Color.white,LineStyle.LINE_DOTS);
	  String[] lbls={"1992","1993","1994","1995","1996","1997","1998","1999"};
	  YAxis.tickLabels=lbls;

          MSBChart.HAxisLabel XLabel= new HAxisLabel("million $",java.awt.Color.black,new Font("Arial",Font.BOLD,12));
	  MSBChart.VAxisLabel YLabel= new VAxisLabel("Year",java.awt.Color.black,new Font("Arial",Font.BOLD,12));

	  // plotter
	  MSBChart.BarPlotter plot=new BarPlotter();
	  plot.verticalBars=false;
          plot.interBarSpace=0;
	  // create report
	  MSBChart.Chart chart=new Chart(title,plot,XAxis,YAxis);
	  chart.XLabel=XLabel;
	  chart.YLabel=YLabel;
	  chart.legend=l;
	  chart.addSerie(data2);
	  chart.addSerie(data1);
          chart.back=new FillStyle(java.awt.Color.lightGray);


	  ChartArea.add("Center",chart);

	}

	public void Example1() {

	   // data
	  double[] d1={1,2,3,4,5,4,2};
          double[] d2={2,3,4,4.2,6.4,4.5,6.1};

          // series
	  LineDataSerie data1= new LineDataSerie(d1,new LineStyle(0.2f,java.awt.Color.blue,LineStyle.LINE_NORMAL));
	  data1.drawPoint=true;
	  data1.valueFont=new Font("Arial",Font.BOLD,10);
	  LineDataSerie data2= new LineDataSerie(d2,new LineStyle(0.2f,java.awt.Color.green,LineStyle.LINE_NORMAL));
	  data2.drawPoint=true;
	  data2.valueFont=new Font("Arial",Font.BOLD,10);

          // legend
	  Legend l=new Legend();
	  l.background=new FillStyle(java.awt.Color.white);
	  l.border=new LineStyle(0.2f,java.awt.Color.black,LineStyle.LINE_NORMAL);
	  l.addItem("Products",new LineStyle(0.2f,java.awt.Color.blue,LineStyle.LINE_NORMAL));
	  l.addItem("Services",new LineStyle(0.2f,java.awt.Color.green,LineStyle.LINE_NORMAL));
          l.verticalLayout=false;

	  // create title
	  MSBChart.Title title=new Title("Sales (thousands $)");
	  // create axis
	  MSBChart.Axis  XAxis=new Axis(Axis.HORIZONTAL,new Scale());
	  MSBChart.Axis  YAxis=new Axis(Axis.VERTICAL,new Scale());
	  XAxis.scale.min=0;
	  YAxis.scale.min=0;
	  YAxis.scaleTickInterval=1;
	  XAxis.scaleTickInterval=1;
	  String[] lbls={"June","July","Aug.","Sept.","Oct.","Nov.","Dec."};
	  XAxis.tickLabels=lbls;


          MSBChart.HAxisLabel XLabel= new HAxisLabel("",java.awt.Color.blue,new Font("Arial",Font.BOLD,14));
	  MSBChart.VAxisLabel YLabel= new VAxisLabel("Brutto",java.awt.Color.white,new Font("Arial",Font.BOLD,14));

	  // plotter
	  MSBChart.LinePlotter plot=new LinePlotter();

	  // create report
	  MSBChart.Chart chart=new Chart(title,plot,XAxis,YAxis);
          chart.back=new FillStyle(java.awt.Color.red);
          chart.back.gradientType=FillStyle.GRADIENT_HORIZONTAL;
	  chart.XLabel=XLabel;
	  chart.YLabel=YLabel;
	  chart.legend=l;
          chart.layout=Chart.LAYOUT_LEGEND_BOTTOM;
	  chart.addSerie(data2);
	  chart.addSerie(data1);

	  ChartArea.add("Center",chart);

	}


 	public void Example5() {

	   // data
	  double[] d1={1,2,3,4,5,4,2};
          double[] d2={2,3,4,6,6.4,4.5,6.1};

          // series
	  LineDataSerie data1= new LineDataSerie(d1,new LineStyle(0.2f,java.awt.Color.blue,LineStyle.LINE_NORMAL));
	  data1.drawPoint=true;
	  data1.valueFont=new Font("Arial",Font.BOLD,10);
          data1.fillStyle=new FillStyle(java.awt.Color.blue);
	  LineDataSerie data2= new LineDataSerie(d2,new LineStyle(0.2f,java.awt.Color.green,LineStyle.LINE_NORMAL));
	  data2.drawPoint=true;
	  data2.valueFont=new Font("Arial",Font.BOLD,10);
          data2.fillStyle=new FillStyle(java.awt.Color.green);

          // legend
	  Legend l=new Legend();
	  //l.background=new FillStyle(java.awt.Color.lightGray);
	  //l.border=new LineStyle(0.2f,java.awt.Color.black,LineStyle.LINE_NORMAL);
	  l.addItem("Products",new FillStyle(java.awt.Color.blue));
	  l.addItem("Services",new FillStyle(java.awt.Color.green));

	  // create title
	  MSBChart.Title title=new Title("Sales (thousands $)");
	  // create axis
	  MSBChart.Axis  XAxis=new Axis(Axis.HORIZONTAL,new Scale());
	  MSBChart.Axis  YAxis=new Axis(Axis.VERTICAL,new Scale());
	  XAxis.scale.min=0;
	  YAxis.scale.min=0;
	  YAxis.scaleTickInterval=1;
	  XAxis.scaleTickInterval=1;
          YAxis.bigTickInterval=2;
          YAxis.gridStyle=new LineStyle(0.2f,java.awt.Color.gray,LineStyle.LINE_NORMAL);
	  String[] lbls={"June","July","Aug.","Sept.","Oct.","Nov.","Dec."};
	  XAxis.tickLabels=lbls;


          MSBChart.HAxisLabel XLabel= new HAxisLabel("",java.awt.Color.blue,new Font("Arial",Font.BOLD,14));
	  MSBChart.VAxisLabel YLabel= new VAxisLabel("Brutto",java.awt.Color.black,new Font("Arial",Font.BOLD,14));

	  // plotter
	  MSBChart.LinePlotter plot=new LinePlotter();

	  // create report
	  MSBChart.Chart chart=new Chart(title,plot,XAxis,YAxis);
          chart.back=new FillStyle(java.awt.Color.yellow);
          chart.back.colorFrom=java.awt.Color.yellow;
          chart.back.colorUntil=java.awt.Color.white;
          chart.back.gradientType=FillStyle.GRADIENT_HORIZONTAL;
	  chart.XLabel=XLabel;
	  chart.YLabel=YLabel;
	  chart.legend=l;
	  chart.addSerie(data2);
	  chart.addSerie(data1);

	  ChartArea.add("Center",chart);

	}


	public void Example6() {

	  // data
	  double[] d1={1,2,3,4,5,4,2};
	  BarDataSerie data1= new BarDataSerie(d1,new FillStyle(java.awt.Color.orange));
	  //data1.border=new LineStyle(0.2f,java.awt.Color.black,LineStyle.LINE_NORMAL);
          data1.borderType=BarDataSerie.BORDER_RAISED;
	  data1.valueFont=new Font("Arial",Font.BOLD,10);

	  double[] d2={2,3,4,4.2,6.4,4.5,6.1};
	  BarDataSerie data2= new BarDataSerie(d2,new FillStyle(java.awt.Color.green));
	  data2.valueFont=new Font("Arial",Font.BOLD,10);
	  //data2.border=new LineStyle(0.2f,java.awt.Color.black,LineStyle.LINE_NORMAL);
          data2.borderType=BarDataSerie.BORDER_RAISED;
          data2.negativeStyle=new FillStyle(java.awt.Color.red);

          // if jdk 1.2, fill partner
          String v=java.lang.System.getProperty("java.version");
          if (v.indexOf("1.2")>=0) {
             java.awt.image.BufferedImage bi = new java.awt.image.BufferedImage(5, 5,
                                java.awt.image.BufferedImage.TYPE_INT_RGB);
            java.awt.Graphics2D big = bi.createGraphics();
            big.setColor(Color.orange);
            big.fillRect(0, 0, 5, 5);
            big.setColor(Color.red);
            big.fillOval(0, 0, 5, 5);
            java.awt.Rectangle r = new java.awt.Rectangle(0,0,5,5);
            data1.style.fillPatern=(new java.awt.TexturePaint(bi, r));
         }


	  Legend l=new Legend();
	  l.border=new LineStyle(0.2f,java.awt.Color.black,LineStyle.LINE_NORMAL);
	  l.addItem("Company A",new FillStyle(java.awt.Color.orange));
	  l.addItem("Company B",new FillStyle(java.awt.Color.green));

	  // create title
	  MSBChart.Title title=new Title("Benefits companies A & B");
	  // create axis
	  MSBChart.Axis  XAxis=new Axis(Axis.HORIZONTAL,new Scale());
	  MSBChart.Axis  YAxis=new Axis(Axis.VERTICAL,new Scale());
	  XAxis.scale.min=0;
	  XAxis.scale.max=7;
	  YAxis.scale.min=0;
	  YAxis.scale.max=7;
	  YAxis.IntegerScale=true;
	  YAxis.scaleTickInterval=1;
	  XAxis.scaleTickInterval=1;
	  XAxis.gridStyle=new LineStyle(0.2f,java.awt.Color.white,LineStyle.LINE_DOTS);
          YAxis.gridStyle=new LineStyle(0.2f,java.awt.Color.white,LineStyle.LINE_DOTS);
	  String[] lbls={"1992","1993","1994","1995","1996","1997","1998","1999"};
	  XAxis.tickLabels=lbls;

          MSBChart.HAxisLabel XLabel= new HAxisLabel("Year",java.awt.Color.black,new Font("Arial",Font.BOLD,12));
	  MSBChart.VAxisLabel YLabel= new VAxisLabel("million $",java.awt.Color.black,new Font("Arial",Font.BOLD,12));

	  // plotter
	  MSBChart.BarPlotter plot=new BarPlotter();
	  // create report
	  MSBChart.Chart chart=new Chart(title,plot,XAxis,YAxis);
          plot.interBarSpace=1;
	  chart.XLabel=XLabel;
	  chart.YLabel=YLabel;
	  chart.legend=l;
	  chart.addSerie(data2);
	  chart.addSerie(data1);
          chart.back=new FillStyle(java.awt.Color.lightGray);

	  ChartArea.add("Center",chart);

	}

        public void Example7() {

	  // data
	  double[] d1={1,2,3,4,5,4,2};
	  BarDataSerie data1= new BarDataSerie(d1,new FillStyle(java.awt.Color.blue));
	  //data1.border=new LineStyle(0.2f,java.awt.Color.black,LineStyle.LINE_NORMAL);
          data1.borderType=BarDataSerie.BORDER_RAISED;

	  double[] d2={2,3,4,4.2,6.4,4.5,6.1};
	  BarDataSerie data2= new BarDataSerie(d2,new FillStyle(java.awt.Color.red));
	  data2.valueFont=new Font("Arial",Font.BOLD,10);
	  //data2.border=new LineStyle(0.2f,java.awt.Color.black,LineStyle.LINE_NORMAL);
          data2.borderType=BarDataSerie.BORDER_RAISED;


	  Legend l=new Legend();
	  l.addItem("Company A",new FillStyle(java.awt.Color.red));
	  l.addItem("Company B",new FillStyle(java.awt.Color.blue));

	  // create title
	  MSBChart.Title title=new Title("Benefits companies A + B");
	  // create axis
	  MSBChart.Axis  XAxis=new Axis(Axis.HORIZONTAL,new Scale());
	  MSBChart.Axis  YAxis=new Axis(Axis.VERTICAL,new Scale());
	  XAxis.scale.min=0;
	  XAxis.scale.max=7;
	  YAxis.scale.min=0;
	  YAxis.scale.max=7;
	  YAxis.IntegerScale=true;
	  YAxis.scaleTickInterval=1;
	  XAxis.scaleTickInterval=1;
	  XAxis.gridStyle=new LineStyle(0.2f,java.awt.Color.darkGray,LineStyle.LINE_DASHED);
          YAxis.gridStyle=new LineStyle(0.2f,java.awt.Color.darkGray,LineStyle.LINE_DASHED);
	  String[] lbls={"1992","1993","1994","1995","1996","1997","1998","1999"};
	  XAxis.tickLabels=lbls;

          MSBChart.HAxisLabel XLabel= new HAxisLabel("Year",java.awt.Color.black,new Font("Arial",Font.BOLD,12));
	  MSBChart.VAxisLabel YLabel= new VAxisLabel("million $",java.awt.Color.black,new Font("Arial",Font.BOLD,12));

	  // plotter
	  MSBChart.BarPlotter plot=new BarPlotter();
	  // create report
	  MSBChart.Chart chart=new Chart(title,plot,XAxis,YAxis);
	  chart.XLabel=XLabel;
	  chart.YLabel=YLabel;
	  chart.legend=l;
	  chart.addSerie(data2);
	  chart.addSerie(data1);
          chart.back=new FillStyle(java.awt.Color.lightGray);
          plot.cumulative=true;

	  ChartArea.add("Center",chart);


	}

 public void Example10() {

	   // data
	  double[] d1={1,2,3,4,5,3,4};
          double[] d2={0,1,2,3,4,5,3,4};

          // series
	  LineDataSerie data2= new LineDataSerie(d2,new LineStyle(0.2f,java.awt.Color.blue,LineStyle.LINE_NORMAL));
	  data2.valueFont=new Font("Arial",Font.BOLD,10);
	  BarDataSerie data1= new BarDataSerie(d1,new FillStyle(java.awt.Color.orange));
	  data1.border=new LineStyle(0.2f,java.awt.Color.black,LineStyle.LINE_NORMAL);

          // legend
	  Legend l=new Legend();
	  l.background=new FillStyle(java.awt.Color.white);
	  l.border=new LineStyle(0.2f,java.awt.Color.black,LineStyle.LINE_NORMAL);
	  l.addItem("Products",new LineStyle(0.2f,java.awt.Color.blue,LineStyle.LINE_NORMAL));
          l.verticalLayout=false;

	  // create title
	  MSBChart.Title title=new Title("Sales (thousands $)");
	  // create axis
	  MSBChart.Axis  XAxis=new Axis(Axis.HORIZONTAL,new Scale());
	  MSBChart.Axis  YAxis=new Axis(Axis.VERTICAL,new Scale());
	  XAxis.scale.min=0;
	  YAxis.scale.min=0;
          YAxis.scale.max=7;
	  YAxis.scaleTickInterval=1;
	  XAxis.scaleTickInterval=1;
	  String[] lbls={"","June","July","Aug.","Sept.","Oct.","Nov.","Dec."};
	  XAxis.tickLabels=lbls;


          MSBChart.HAxisLabel XLabel= new HAxisLabel("",java.awt.Color.blue,new Font("Arial",Font.BOLD,14));
	  MSBChart.VAxisLabel YLabel= new VAxisLabel("Brutto",java.awt.Color.white,new Font("Arial",Font.BOLD,14));

	  // plotter
	  MSBChart.LinePlotter plot=new LinePlotter();

         // second plotter
          MSBChart.BarPlotter plot2=new BarPlotter();

	  // create report
	  MSBChart.Chart chart=new Chart(title,plot2,XAxis,YAxis);
          chart.addPlotter(plot);
          chart.back=new FillStyle(java.awt.Color.green);
          chart.back.colorUntil=java.awt.Color.green;
          chart.back.colorFrom=java.awt.Color.white;
          chart.back.gradientType=FillStyle.GRADIENT_VERTICAL;
	  chart.XLabel=XLabel;
	  chart.YLabel=YLabel;
	  chart.legend=l;
          chart.layout=Chart.LAYOUT_LEGEND_BOTTOM;
	  plot.addSerie(data2);
	  plot2.addSerie(data1);
          plot2.barWidth=20;

	  ChartArea.add("Center",chart);

	}



	public void Example8() {

	   // data
	  double[] d1={2,1 ,2 ,3 ,4 ,5 ,4 ,3};
	  double[] dmin1={1.5,0.85 ,1.5 ,2.8 ,3, 4.8 ,3.5,2.5 };
	  double[] dmax1={2.3,1.15 ,2.5 ,3.2 ,4.4 ,5.3,4.5 ,3.3};
	  MaxMinDataSerie data1= new MaxMinDataSerie(d1,null);
	  data1.drawPoint=true;
          data1.drawLineEnd=false;
          data1.pointColor=java.awt.Color.green;
	  data1.setMaxMinValues(dmax1,dmin1);
          data1.maxminStyle=new LineStyle(0.2f,java.awt.Color.white,LineStyle.LINE_NORMAL);

	  //data1.valueFont=new Font("Arial",Font.BOLD,10);

	  double[] d2={2,1 ,2 ,3 ,4 ,5 ,4 ,3};
	  LineDataSerie data2= new LineDataSerie(d2,new LineStyle(0.2f,java.awt.Color.white,LineStyle.LINE_DOTS));

	  // create title
	  MSBChart.Title title=new Title("Price");
          title.color=java.awt.Color.white;

	  // create axis
	  MSBChart.Axis  XAxis=new Axis(Axis.HORIZONTAL,new Scale());
	  MSBChart.Axis  YAxis=new Axis(Axis.VERTICAL,new Scale());
	  XAxis.scale.min=0;
	  YAxis.scale.min=0;
          YAxis.scale.max=7;
	  YAxis.scaleTickInterval=1;
	  XAxis.scaleTickInterval=1;
          XAxis.scaleTickInterval=7;
 	  String[] lbls={"","7 Jan.","14 Jan.","21 Jan."};
	  XAxis.tickLabels=lbls;
          XAxis.style =new LineStyle(0.2f,java.awt.Color.white,LineStyle.LINE_NORMAL);
          YAxis.style =new LineStyle(0.2f,java.awt.Color.white,LineStyle.LINE_NORMAL);

          MSBChart.HAxisLabel XLabel= new HAxisLabel("Week",java.awt.Color.white,new Font("Arial",Font.ITALIC,12));
	  MSBChart.VAxisLabel YLabel= new VAxisLabel("Value",java.awt.Color.white,new Font("Arial",Font.ITALIC,12));

	  // plotter
	  MSBChart.LinePlotter plot=new LinePlotter();

	  // create report
	  MSBChart.Chart chart=new Chart(title,plot,XAxis,YAxis);
	  chart.XLabel=XLabel;
	  chart.YLabel=YLabel;
	  chart.addSerie(data2);
	  chart.addSerie(data1);
          chart.back=new FillStyle(java.awt.Color.black);

	  ChartArea.add("Center",chart);

	}




  	public void Example9() {

          // load images
          int WidthIm=0;
         java.awt.Image im1=null;
         try{
          java.awt.MediaTracker mt1 = new java.awt.MediaTracker(this);
          im1=Toolkit.getDefaultToolkit().getImage ("point.gif");
          mt1.addImage(im1,0); mt1.waitForID(0);
          WidthIm= im1.getWidth(null);
          } catch (Exception e2) {}

         java.awt.Image im2=null;
         try{
          java.awt.MediaTracker mt2 = new java.awt.MediaTracker(this);
          im2=Toolkit.getDefaultToolkit().getImage ("point2.gif");
          mt2.addImage(im2,0); mt2.waitForID(0);
          WidthIm = im2.getWidth(null);
          } catch (Exception e2) {}

	   // data
	  double[] d1={1,2,3,4,5,4,2};
          double[] d2={2,3,4,6,6.4,4.5,6.1};

          // series
	  LineDataSerie data1= new LineDataSerie(d1,new LineStyle(0.2f,java.awt.Color.blue,LineStyle.LINE_DOTS));
	  data1.drawPoint=true;
          data1.icon=im1;

	  LineDataSerie data2= new LineDataSerie(d2,new LineStyle(0.2f,java.awt.Color.green,LineStyle.LINE_DOTS));
	  data2.drawPoint=true;
          data2.icon=im2;


          // legend
	  Legend l=new Legend();
	  //l.background=new FillStyle(java.awt.Color.lightGray);
	  //l.border=new LineStyle(0.2f,java.awt.Color.black,LineStyle.LINE_NORMAL);
	  l.addItem("Products",im1);
	  l.addItem("Services",im2);

	  // create title
	  MSBChart.Title title=new Title("Sales (thousands $)");
	  // create axis
	  MSBChart.Axis  XAxis=new Axis(Axis.HORIZONTAL,new Scale());
	  MSBChart.Axis  YAxis=new Axis(Axis.VERTICAL,new Scale());
	  XAxis.scale.min=0;
	  YAxis.scale.min=0;
	  YAxis.scaleTickInterval=1;
	  XAxis.scaleTickInterval=1;
          YAxis.bigTickInterval=2;
          YAxis.gridStyle=new LineStyle(0.2f,java.awt.Color.gray,LineStyle.LINE_NORMAL);
	  String[] lbls={"June","July","Aug.","Sept.","Oct.","Nov.","Dec."};
	  XAxis.tickLabels=lbls;


          MSBChart.HAxisLabel XLabel= new HAxisLabel("",java.awt.Color.blue,new Font("Arial",Font.BOLD,14));
	  MSBChart.VAxisLabel YLabel= new VAxisLabel("Brutto",java.awt.Color.black,new Font("Arial",Font.BOLD,14));

	  // plotter
	  MSBChart.LinePlotter plot=new LinePlotter();

	  // create report
	  MSBChart.Chart chart=new Chart(title,plot,XAxis,YAxis);
          chart.back=new FillStyle(java.awt.Color.yellow);
          chart.back.colorFrom=java.awt.Color.yellow;
          chart.back.colorUntil=java.awt.Color.white;
          chart.back.gradientType=FillStyle.GRADIENT_HORIZONTAL;
	  chart.XLabel=XLabel;
	  chart.YLabel=YLabel;
	  chart.legend=l;
	  chart.addSerie(data2);
	  chart.addSerie(data1);

	  ChartArea.add("Center",chart);

	}




        Button btnExit= new Button("Exit");
        List list =new List(2,false);

	public void initFrame() {

		this.setLayout(new java.awt.BorderLayout());
		ChartArea.setLayout(new java.awt.BorderLayout());

		this.setSize(new Dimension(500,500));

		ToolBar.setSize(new Dimension(100,70));
		ToolBar.setBackground(java.awt.Color.lightGray);


                list.setBounds(4,2,120,60);
                list.add("1. Line chart");
                list.add("2. Bar Chart");
                list.add("3. Pie chart");
                list.add("4. Pie chart 3D");
                list.add("5. Area chart");
                list.add("6. Column chart");
                list.add("7. Stackbar chart");
                list.add("8. Max/Min chart");
                list.add("9. Images");
                list.add("10. Combined");
                list.addActionListener(this);

		btnExit.setBounds(128,15,50,30);
                btnExit.setActionCommand("EXIT");
                btnExit.addActionListener(this);
                ToolBar.add(list);
                ToolBar.add(btnExit);

		this.add("Center", ChartArea);
		this.add("North",ToolBar);



	}


  public void actionPerformed(java.awt.event.ActionEvent a) {

     String c=a.getActionCommand();
     if (c.compareTo("EXIT")==0) {System.exit(0);}

     ChartArea.removeAll();

     if (c.substring(0,2).compareTo("1.")==0)  {Example1();}
     if (c.substring(0,2).compareTo("2.")==0)  {Example2();}
     if (c.substring(0,2).compareTo("3.")==0)  {Example3();}
     if (c.substring(0,2).compareTo("4.")==0)  {Example4();}
     if (c.substring(0,2).compareTo("5.")==0)  {Example5();}
     if (c.substring(0,2).compareTo("6.")==0)  {Example6();}
     if (c.substring(0,2).compareTo("7.")==0)  {Example7();}
     if (c.substring(0,2).compareTo("8.")==0)  {Example8();}
     if (c.substring(0,2).compareTo("9.")==0)  {Example9();}
     if (c.substring(0,2).compareTo("10")==0)  {Example10();}


     this.paintAll(this.getGraphics());


  }

}
